GodCommandFuncs.Browse = function()
	local playList = 
	{
		{
			Name="Eye of the Tiger Cover",
			Artist = "Tommee Profit",
			Url="https://www.youtube.com/watch?v=Rk8QRRVxrOY&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=1",
		},
		{
			Name="In The Air Tonight Cover",
			Artist = "Chris Daughtry",
			Url="https://www.youtube.com/watch?v=q_59RDuzwLI&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=6",
		},
		{
			Name="Sledgehammer",
			Artist = "Peter Gabriel",
			Url="https://www.youtube.com/watch?v=KkiqTmwEQ-U&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=3",
		},
		{
			Name="Man in the Mirror Instrumental",
			Artist = "Michael Jackson",
			Url="https://www.youtube.com/watch?v=rJ3lK2CjoRw&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=11",
		},
		{
			Name="Every Cloud",
			Artist = "Rameses B",
			Url="https://www.youtube.com/watch?v=l_fXOgeTp4E&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=10",
		},
		{
			Name="No Vaseline",
			Artist = "Ice Cube",
			Url="https://www.youtube.com/watch?v=csm6jilQwcw&list=PLHWkJZn_khlh6Lnc9FIQ-5H9P-DgiEttF&index=9",
		},							
	}

	this:SetObjVar("MusicPlayer.PlayList",playList)	
	OpenMusicPlayer(this)
end

function OpenMusicPlayer(user)
	if not (user:HasObjVar("MusicPlayer.PlayList")) then
		user:SetObjVar("MusicPlayer.PlayList",{})
		user:SystemMessage("Music Player Initialized","event")
		return
	end

	RegisterEventHandler(EventType.DynamicWindowResponse,"GenericBrowserSkin",function (user,buttonId)
		user:SystemMessage("GenericBrowser Event Fired on button .."..buttonId)
		user:CloseHtmlWindow("GenericBrowser")
		user:CloseDynamicWindow("GenericBrowserSkin")	
	end)	

	local playList = user:GetObjVar("MusicPlayer.PlayList")
	local playListTable = playList[math.random(#playList)]

	user:OpenHtmlWindow("GenericBrowser",playListTable.Url , 10, 10, -100,-100)
	local dynamicWindow = DynamicWindow("GenericBrowserSkin","",300,500, 150, -400, "TransparentDraggable", "Center")
	-- title bar
	dynamicWindow:AddImage(1, 1,"Blank",300,25,"Sliced","151515")
	dynamicWindow:AddLabel(279,6,"[FF7700]X",24,24,24,"left")
	dynamicWindow:AddButton(276,2,"CloseButton","[FF7700]X[-]",24,24,"[BBCC00][i]This will close the Music Player[/i]","",false,"Invisible")
	dynamicWindow:AddImage(-2,-2,"CraftingItemsFrame",306,31,"Sliced","FF7700")
	dynamicWindow:AddLabel(150,6,"[FF7700]Music Player (" .. #playList .. ")",300,25,24,"center")
	-- content
	dynamicWindow:AddImage(1, 26,"Blank",300,475,"Sliced","251505",0,0.6)
	dynamicWindow:AddImage(-2,24,"CraftingItemsFrame",306,481,"Sliced","FF7700")
	
	dynamicWindow:AddImage(11, 36,"Blank",280,60,"Sliced","352515",0,0.8)
	dynamicWindow:AddLabel(151, 38,"[BBAA00]-Current Song Information-",280,20,20,"center")
	dynamicWindow:AddLabel(151, 58,"[AA9900]Song Name: " .. playListTable.Name,280,18,18,"center")
	dynamicWindow:AddLabel(151, 76,"[998800]Artist: " .. playListTable.Artist,280,16,16,"center")


	user:OpenDynamicWindow(dynamicWindow,user)
end

RegisterCommand { Command="browse",Category="GizmosTools",AccessLevel=AccessLevel.God,Func=GodCommandFuncs.Browse,Usage="<browse>", Desc="Opens up a web browser." }

