MobileEffectLibrary.ChaosModsRemove =
{
	OnEnterState = function(self,root,target,args)
		self.RemoveChaosRegionBuffs(self.ParentObj)
		EndMobileEffect(root)
	end,

	--- this applies buffs to the player who enters the chaos zone
	--@param (GameObject) player - the player entering the chaos zone
	RemoveChaosRegionBuffs = function(player)
		local buffTable = player:GetObjVar("ChaosZoneBuffIds")
    	local mobileModTable = player:GetObjVar("ChaosZoneMobileModIds")
    	for key,value in pairs(buffTable) do
        	RemoveBuffIcon(player,value)
    	end
    	for key,value in pairs(mobileModTable) do
        	SetMobileMod(player,value.Mod,value.Id,nil)
    	end
    	player:DelObjVar("ChaosZoneBuffIds")
    	player:DelObjVar("ChaosZoneMobileModIds")
	end	
}