ItemProperties.Chain =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 2, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 4, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 			 	Min = 1, 	Max = 4, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 10, 	Chance = 5, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryLancing", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryArchery", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryScrolls", 		Min = 10, 	Max = 20, 	Chance = 2, },	  
}

ItemProperties.Scale =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 10, 	Chance = 25, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 10, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryMeal", 			Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryLancing", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryArchery", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasterySlashing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryBashing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryScrolls", 		Min = 10, 	Max = 20, 	Chance = 2, },	

}

ItemProperties.FullPlate =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 			 	Min = 1, 	Max = 8, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 25, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 25, 	Chance = 25, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 5, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 5, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 5, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 10, 	Max = 25, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryMeal", 			Min = 10, 	Max = 25, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasterySlashing", 		Min = 10, 	Max = 25, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 25, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryBashing", 		Min = 10, 	Max = 25, 	Chance = 2, },	

	-- rare utlity
	{ essenceName = "ItemPropertyHealingRecievedPlus", 			Min = 10, 	Max = 30, 	Chance = 2, },	
}

ItemProperties.Leather =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 14, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 8, 	Chance = 5, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryLancing", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryArchery", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryScrolls", 		Min = 10, 	Max = 20, 	Chance = 2, },	  

	{ essenceName = "ItemPropertyClearCasting", 							Min = 1, 	Max = 6, 	Chance = 2, },	
	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 12, 	Chance = 1, },
}

ItemProperties.Hardened =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 6, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 14, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 6, 	Chance = 5, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 20, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 20, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryLancing", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryArchery", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryScrolls", 		Min = 10, 	Max = 20, 	Chance = 2, },	  
}

ItemProperties.Linen =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfWisdom",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 8, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 14, 	Chance = 25, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 15, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyClearCasting", 				Min = 1, 	Max = 8, 	Chance = 2, },	
	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 20, 	Chance = 1, },
}

ItemProperties.Padded =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfWisdom",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 8, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 14, 	Chance = 25, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 15, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyClearCasting", 				Min = 1, 	Max = 8, 	Chance = 2, },	
	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 20, 	Chance = 1, },
}

ItemProperties.MageRobe =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfWisdom",	 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 8, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfMana", 				 	Min = 1, 	Max = 14, 	Chance = 25, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 20, 	Chance = 10, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasteryPotions", 		Min = 15, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyClearCasting", 				Min = 1, 	Max = 8, 	Chance = 2, },	
	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 20, 	Chance = 1, },
}