MobileEffectLibrary.OnSpellHitLeechHealth = 
{
	LeechPerHitMin = 10,
	LeechPerHitMax = 15,

	OnEnterState = function(self,root,target,args)
	    local currentHealth = GetCurHealth(self.ParentObj)
	    local maxHealth = GetMaxHealth(self.ParentObj)

		if(self.ParentObj:IsPlayer()) then
	        self.LeechAmount = GetCachedMobileModByName("OnMeleeHitLeechHealth",self.ParentObj) or 0
	    end

	    if(currentHealth >= maxHealth) then 
	    	EndMobileEffect() 
	    else
	    	currentHealth = currentHealth + math.random(self.LeechPerHitMin,self.LeechPerHitMax)
	    end

	    if(currentHealth > maxHealth) then currentHealth = maxHealth end

	    SetCurHealth(self.ParentObj,currentHealth)

		EndMobileEffect(root)
	end,
}