StoreTypes.Weaponsmith = 
{
	MerchantTitle = "-Weaponsmith Merchant-",
	CurrencyType = "coins",
	CurrencyName = "Coins",
	Stock =
	{
		Dagger =
		{
			DisplayName="Dagger",
			Template="weapon_dagger",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Dagger-\n"..ToolTipTextColor.." - description required",
			-- Conditions = 
			-- {
			-- 	{Type="ObjVarEqual",Value="TestDaggerReq|test"},
			-- 	{Type="ObjVarGreaterThan",Value="BiggerThan|25"},
			-- 	{Type="ObjVarLessThan",Value="LessThan|25"},
			-- 	{Type="SkillGreaterThan",Value="Fabrication|50"},
			-- 	{Type="SkillLessThan",Value="Healing|50"},
			-- },
		},
		Kryss =
		{
			DisplayName="Kryss",
			Template="weapon_kryss",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Kryss-\n"..ToolTipTextColor.." - description required",
		},
		Poinard =
		{
			DisplayName="Poinard",
			Template="weapon_poniard",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Poinard-\n"..ToolTipTextColor.." - description required",
		},
		BoneDagger =
		{
			DisplayName="Bone Dagger",
			Template="weapon_bone_dagger",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Bone Dagger-\n"..ToolTipTextColor.." - description required",
		},
		Longsword =
		{
			DisplayName="Longsword",
			Template="weapon_longsword",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Longsword-\n"..ToolTipTextColor.." - description required",
		},
		BroadSword =
		{
			DisplayName="Broadsword",
			Template="weapon_broadsword",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Broadsword-\n"..ToolTipTextColor.." - description required",
		},
		Saber =
		{
			DisplayName="Saber",
			Template="weapon_saber",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Saber-\n"..ToolTipTextColor.." - description required",
		},
		Katana =
		{
			DisplayName="Katana",
			Template="weapon_katana",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Katana-\n"..ToolTipTextColor.." - description required",
		},
		Mace =
		{
			DisplayName="Mace",
			Template="weapon_mace",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Mace-\n"..ToolTipTextColor.." - description required",
		},
		Hammer =
		{
			DisplayName="Hammer",
			Template="weapon_hammer",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Hammer-\n"..ToolTipTextColor.." - description required",
		},
		Maul =
		{
			DisplayName="Maul",
			Template="weapon_maul",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Maul-\n"..ToolTipTextColor.." - description required",
		},
		WarMace =
		{
			DisplayName="Warmace",
			Template="weapon_warmace",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Warmace-\n"..ToolTipTextColor.." - description required",
		},
		WarHammer =
		{
			DisplayName="Warhammer",
			Template="weapon_warhammer",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Warhammer-\n"..ToolTipTextColor.." - description required",
		},
		Pitchfork =
		{
			DisplayName="Pitchfork",
			Template="weapon_pitchfork",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Pitch Fork-\n"..ToolTipTextColor.." - description required",
		},
		Voulge =
		{
			DisplayName="Voulge",
			Template="weapon_voulge",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Voulge-\n"..ToolTipTextColor.." - description required",
		},
		Spear =
		{
			DisplayName="Spear",
			Template="weapon_spear",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Spear-\n"..ToolTipTextColor.." - description required",
		},
		Halberd =
		{
			DisplayName="Halberd",
			Template="weapon_halberd",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Halberd-\n"..ToolTipTextColor.." - description required",
		},
		LargeAxe =
		{
			DisplayName="Large Axe",
			Template="weapon_largeaxe",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Large Axe-\n"..ToolTipTextColor.." - description required",
		},
		GreatAxe =
		{
			DisplayName="Great Axe",
			Template="weapon_greataxe",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Great Axe-\n"..ToolTipTextColor.." - description required",
		},
	},
}