--- this handles the dynamic window response for world builder
-- @param user - (GameObject) the Cool guy working with this dynamic window
-- @param buttonId - (String) the button id sent
-- @param textField - (Table) the text field information table
-- @param self - (Table) the mobile effect table containing user and effect information
-- @param root - (Table)
MobileEffectLibrary.WorldBuilder.HandleDynamicWindowResponse = function(user, buttonId, textField, self, root)
	if(buttonId == "OpenSpawnerWizard") then
		ShowSpawnerWizard(self)
		return
	end
	if(buttonId == "OpenPortalWizard") then
		user:SystemMessage("you clicked "..buttonId)
		return
	end
	if(buttonId == "OpenTeleporterWizard") then
		user:SystemMessage("you clicked "..buttonId)
		return
	end
	-- if we reach this point, then they closed they dynamic spawner
	EndMobileEffect(root)
end