ItemProperties.DragonShield =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 			 	Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 15, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 8, 	Chance = 30, },

	-- other common effects
	{ essenceName = "ItemPropertyCombatDefenseChance", 			Min = 1, 	Max = 10, 	Chance = 20, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 10, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 10, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 10, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 10, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 10, 	Chance = 5, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasterySlashing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryBashing", 		Min = 10, 	Max = 20, 	Chance = 2, },	

	-- rare utlity
	{ essenceName = "ItemPropertyHealingRecievedPlus", 			Min = 10, 	Max = 30, 	Chance = 2, },
}

ItemProperties.BucklerShield =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill", 			 		Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 15, 	Chance = 30, },

	-- other common effects
	{ essenceName = "ItemPropertyCombatDefenseChance", 			Min = 1, 	Max = 12, 	Chance = 20, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 10, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 15, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 10, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 15, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 15, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 15, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 10, 	Chance = 5, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasterySlashing", 		Min = 5, 	Max = 15, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryBashing", 		Min = 5, 	Max = 15, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 5, 	Max = 15, 	Chance = 2, },	

	-- rare utlity
	{ essenceName = "ItemPropertyHealingRecievedPlus", 			Min = 10, 	Max = 15, 	Chance = 2, },
}

ItemProperties.KiteShield =
{
	-- stat based
	{ essenceName = "ItemPropertyRuneOfStrength", 				Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 			 	Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence", 			Min = 1, 	Max = 5, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfHealth", 			 	Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfStamina", 			 	Min = 1, 	Max = 12, 	Chance = 30, },

	-- other common effects
	{ essenceName = "ItemPropertyCombatDefenseChance", 			Min = 1, 	Max = 6, 	Chance = 20, },

	-- rare protection
	{ essenceName = "ItemPropertyRuneOfProtectionHumanoids", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDemons", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionOrks", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionAnimals", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionReptiles", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionUndead", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionEnts", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionDragons", 		Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionArachnids", 	Min = 1, 	Max = 15, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfProtectionGiants", 		Min = 1, 	Max = 15, 	Chance = 5, },

	-- normal protection
	{ essenceName = "ItemPropertyRuneOfProtectionBashing", 		Min = 1, 	Max = 15, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionSlashing", 	Min = 1, 	Max = 20, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionPiercing", 	Min = 1, 	Max = 20, 	Chance = 30, },
	{ essenceName = "ItemPropertyRuneOfProtectionBows", 		Min = 1, 	Max = 15, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 		Min = 1, 	Max = 5, 	Chance = 5, },	

	-- rare traits
	{ essenceName = "ItemPropertyRuneOfMasterySlashing", 		Min = 10, 	Max = 20, 	Chance = 2, },	
	{ essenceName = "ItemPropertyRuneOfMasteryPiercing", 		Min = 10, 	Max = 20, 	Chance = 2, },	

	-- rare utlity
	{ essenceName = "ItemPropertyHealingRecievedPlus", 			Min = 10, 	Max = 20, 	Chance = 2, },
}