-----------------------------------------------------------------------------------------------------------------------
-- SLASHING WEAPON PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.Broadsword =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 20, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 10, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 10, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 10, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes",		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertyWeaponAbilityConcusDurationPlus",			Min = 1, 	Max = 3, 	Chance = 1, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

ItemProperties.GreatAxe =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 5, 	Max = 25, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 5, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 3, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 15, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 25, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes",		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },	

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

ItemProperties.Katana =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 20, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 10, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 10, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 10, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes",		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus",				Min = 1, 	Max = 20, 	Chance = 1, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

ItemProperties.LargeAxe =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 10, 	Max = 30, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 5, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 3, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 15, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 15, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes",		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus",				Min = 1, 	Max = 20, 	Chance = 1, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

ItemProperties.Longsword =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 20, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 10, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 10, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 10, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityBonusCleaveRange", 			Min = 1, 	Max = 3, 	Chance = 1, },
	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes",		Min = 1, 	Max = 20, 	Chance = 1, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

ItemProperties.Saber =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 20, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 10, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 10, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom", 							Min = 1, 	Max = 4, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 10, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityStabAttackTimes", 			Min = 10, 	Max = 20, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

-----------------------------------------------------------------------------------------------------------------------
-- LANCING PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.Warfork =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 10, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 							Min = 1, 	Max = 8, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 18, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 10, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus", 			Min = 5, 	Max = 15, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Voulge =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 20, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 6, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 6, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 							Min = 1, 	Max = 8, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 14, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 12, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBonusCleaveRange", 			Min = 1, 	Max = 4, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Spear =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 10, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 14, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 4, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 							Min = 1, 	Max = 6, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 20, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityStabAttackTimes", 			Min = 10, 	Max = 30, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Halberd =
{
	{ essenceName = "ItemPropertyCombatAttackSpeedTimes", 					Min = 1, 	Max = 15, 	Chance = 80, },
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 8, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 8, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 20, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWill",	 							Min = 1, 	Max = 10, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 18, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 14, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 10, 	Max = 40, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityConcusDurationPlus", 			Min = 1, 	Max = 4, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

-----------------------------------------------------------------------------------------------------------------------
-- BASHING PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.Mace =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 12, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence",	 					Min = 1, 	Max = 8, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 4, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfMana",	 							Min = 1, 	Max = 10, 	Chance = 5, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 10, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Hammer =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 12, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence",	 					Min = 1, 	Max = 8, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 4, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfMana",	 							Min = 1, 	Max = 10, 	Chance = 5, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 5, 	Max = 15, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 3, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Maul =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 12, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence",	 					Min = 1, 	Max = 8, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 10, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 4, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfMana",	 							Min = 1, 	Max = 10, 	Chance = 5, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 5, 	Max = 15, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus", 			Min = 5, 	Max = 15, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.WarMace =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 5, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfIntelligence",	 					Min = 1, 	Max = 12, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 6, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 6, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfMana",	 							Min = 1, 	Max = 16, 	Chance = 5, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 5, 	Max = 15, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityFollowThroughPlus", 			Min = 5, 	Max = 10, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Warhammer =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 15, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 12, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 12, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 5, 	Max = 25, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityFollowThroughPlus", 			Min = 5, 	Max = 15, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}

-----------------------------------------------------------------------------------------------------------------------
-- PIERCING PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.Dagger =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 15, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 12, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 12, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 5, 	Max = 25, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus", 			Min = 5, 	Max = 15, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Kryss =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 15, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 8, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 12, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 12, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityStabAttackTimes", 			Min = 25, 	Max = 50, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBleedDamagePlus", 			Min = 5, 	Max = 15, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Poniard =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 15, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 8, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 16, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityStabAttackTimes", 			Min = 20, 	Max = 40, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.BoneDagger =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyCombatDefenseChance", 						Min = 1, 	Max = 15, 	Chance = 60, },

	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 12, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 4, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 14, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 6, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityOverPowerAttackTimes", 		Min = 10, 	Max = 30, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 2, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
-----------------------------------------------------------------------------------------------------------------------
-- MAGIC STAFFS PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.MagicStaff =
{
	{ essenceName = "ItemPropertyRuneOfIntelligence", 						Min = 1, 	Max = 12, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom",		 						Min = 1, 	Max = 12, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfWill", 								Min = 1, 	Max = 12, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 14, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfMana", 								Min = 1, 	Max = 14, 	Chance = 25, },

	{ essenceName = "ItemPropertyCastingSpellPower", 						Min = 1, 	Max = 4, 	Chance = 2, },
	{ essenceName = "ItemPropertyClearCasting", 							Min = 1, 	Max = 20, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 					Min = 1, 	Max = 20, 	Chance = 10, },

	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 20, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 10, 	Chance = 1, },


	{ essenceName = "ItemPropertyOnSpellHitLeechHealth",					Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitLeechStamina",					Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitLeechMana",						Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainHealth",					Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainStamina",					Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainMana",						Min = 1, 	Max = 15, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitChanceToPoison",					Min = 1, 	Max = 20, 	Chance = 1, },	
}
-----------------------------------------------------------------------------------------------------------------------
-- MAGIC WAND PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.MagicWand =
{
	{ essenceName = "ItemPropertyRuneOfIntelligence", 						Min = 1, 	Max = 6, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfWisdom",		 						Min = 1, 	Max = 6, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfWill", 								Min = 1, 	Max = 6, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 8, 	Chance = 15, },
	{ essenceName = "ItemPropertyRuneOfMana", 								Min = 1, 	Max = 8, 	Chance = 25, },

	{ essenceName = "ItemPropertyCastingSpellPower", 						Min = 1, 	Max = 2, 	Chance = 2, },
	{ essenceName = "ItemPropertyClearCasting", 							Min = 1, 	Max = 12, 	Chance = 2, },
	{ essenceName = "ItemPropertyRuneOfProtectionMagic", 					Min = 1, 	Max = 12, 	Chance = 10, },

	{ essenceName = "ItemPropertySpellPerkBonusRuinDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFireballDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusManaMissileDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusFrostDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusMeteorDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusLightningDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusBombardmentDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusElectricBoltDamagePlus", 	Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusPoisonDamagePlus", 			Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusWallOfFireDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkBonusEarthquakeDamagePlus", 		Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkGreaterHealPlus", 				Min = 1, 	Max = 12, 	Chance = 1, },
	{ essenceName = "ItemPropertySpellPerkHealPlus",		 				Min = 1, 	Max = 20, 	Chance = 1, },

	{ essenceName = "ItemPropertyOnSpellHitLeechHealth",					Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitLeechStamina",					Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitLeechMana",						Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainHealth",					Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainStamina",					Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitDrainMana",						Min = 1, 	Max = 8, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnSpellHitChanceToPoison",					Min = 1, 	Max = 10, 	Chance = 1, },	
}
-----------------------------------------------------------------------------------------------------------------------
-- BOW PROPERTIES
-----------------------------------------------------------------------------------------------------------------------
ItemProperties.Shortbow =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyRangedCombatCenterShot", 					Min = 1, 	Max = 30, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 6, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 8, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 16, 	Chance = 25, },
	
	{ essenceName = "ItemPropertyWeaponAbilityStabAttackTimes", 			Min = 10, 	Max = 50, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBowNotchSpeedReduction", 		Min = 15, 	Max = 25, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}
ItemProperties.Longbow =
{
	{ essenceName = "ItemPropertyCombatHitChance", 							Min = 1, 	Max = 15, 	Chance = 60, },
	{ essenceName = "ItemPropertyRangedCombatCenterShot", 					Min = 1, 	Max = 20, 	Chance = 25, },
	{ essenceName = "ItemPropertyRuneOfStrength", 							Min = 1, 	Max = 8, 	Chance = 10, },
	{ essenceName = "ItemPropertyRuneOfAgility", 							Min = 1, 	Max = 10, 	Chance = 20, },
	{ essenceName = "ItemPropertyRuneOfHealth", 							Min = 1, 	Max = 12, 	Chance = 5, },
	{ essenceName = "ItemPropertyRuneOfStamina", 							Min = 1, 	Max = 16, 	Chance = 25, },

	{ essenceName = "ItemPropertyWeaponAbilityMortalStrikeDurationPlus", 	Min = 1, 	Max = 3, 	Chance = 2, },
	{ essenceName = "ItemPropertyWeaponAbilityBowNotchSpeedReduction", 		Min = 10, 	Max = 30, 	Chance = 2, },

	{ essenceName = "ItemPropertyOnMeleeHitLeechHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitLeechMana",						Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainHealth",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainStamina",					Min = 1, 	Max = 10, 	Chance = 1, },
	{ essenceName = "ItemPropertyOnMeleeHitDrainMana",						Min = 1, 	Max = 10, 	Chance = 1, },
}