MobileEffectLibrary.OnSpellHitLeechStamina = 
{
	LeechPerHitMin = 4,
	LeechPerHitMax = 8,

	OnEnterState = function(self,root,target,args)
	    local currentStamina = GetCurStamina(self.ParentObj)
	    local maxStamina = GetMaxStamina(self.ParentObj)

		if(self.ParentObj:IsPlayer()) then
	        self.LeechAmount = GetCachedMobileModByName("OnMeleeHitLeechStamina",self.ParentObj) or 0
	    end

	    if(currentStamina >= maxStamina) then 
	    	EndMobileEffect() 
	    else
	    	currentStamina = currentStamina + math.random(self.LeechPerHitMin,self.LeechPerHitMax)
	    end

	    if(currentStamina > maxStamina) then currentStamina = maxStamina end

	    SetCurStamina(self.ParentObj,currentStamina)

		EndMobileEffect(root)
	end,
}