require 'default:globals.static_data.materials'

-----------------------------------------------------------------------------
-- CORE
----------------------------------------------------------------------------
-- a material is something that transfers its hue to the crafted product

-- this is a list of materials per crafting skill (so we can build out a nice selectable list)
MaterialIndex = 
{
    FabricationSkill = 
    {
        "Cloth",
        "EnchantedCloth",
        "Leather",
        "EnchantedLeather",
    },
	MetalsmithSkill = 
    {
        "Iron",
        "EnchantedIron",
	},
    WoodsmithSkill = 
    {
        "Boards",
        "EnchantedBoards",
    },
}

-- a resource must be defined in here to count as a material, the value is the hue
Materials = 
{
    Boards = 775,
    Cloth = 139,
    EnchantedBoards = 775,
    EnchantedCloth = 139,
    EnchantedIron = 22,
    EnchantedLeather = 800,
    Iron = 22,
    Leather = 800,
}

FabricationResourceNodes = 
{
    LeatherHide = 800,
}

OreVeins = 
{
    IronOre = 127,
}

MaterialTooltipColors = 
{
    Iron = "[969696]",
    EnchantedIron = "[969696]",
    Cloth = "[b3a489]",
    EnchantedCloth = "[b3a489]",
    Leather = "[ab805c]",
    EnchantedLeather = "[ab805c]",
    Boards = "[b5751b]",
    EnchantedBoards = "[b5751b]",
}