require 'default:globals.static_data.prestige.skills'

PrestigeData.Skills.Abilities.Salvage = 
{
	Action = 
	{
		DisplayName = "Salvage",
		Icon = "skills",	
		Enabled = true
	},
	NoResetSwing = true,
	NoCombat = true,
	Instant = true,
	Tooltip = "Break down equipment to its basic resource for reuse in crafting, the resources returned is based on your skill level of the crafting skill in which makes it.",
	MobileEffect = "Salvaging",
	Cooldown = TimeSpan.FromSeconds(5)
}

PrestigeData.Skills.Abilities.Disenchanting = 
{
	Action = 
	{
		DisplayName = "Disenchanting",
		Icon = "chargedblast",	
		Enabled = true
	},
	NoResetSwing = true,
	NoCombat = true,
	Instant = true,
	Tooltip = "Break down magical equipment for its magical resources, the higher your Disenchanting skill the more materials you can get.",
	MobileEffect = "Disenchanting",
	Cooldown = TimeSpan.FromSeconds(5)
}