StoreTypes.Tailor = 
{
	MerchantTitle = "-Tailor Merchant-",
	CurrencyType = "coins",
	CurrencyName = "Coins",
	Stock =
	{
		LongSleeveShirt =
		{
			DisplayName="Long Sleeve Shirt",
			Template="clothing_chest_long_sleeve_shirt",
			SellPrice=48,
			BuyPrice=16,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Long Sleeve Shirt-\n"..ToolTipTextColor.." - description required",
		},
		ShortSleeveShirt =
		{
			DisplayName="Short Sleeve Shirt",
			Template="clothing_chest_short_sleeve_shirt",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Short Sleeve Shirt-\n"..ToolTipTextColor.." - description required",
		},
		Shorts =
		{
			DisplayName="Shorts",
			Template="clothing_shorts_legs",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Shorts-\n"..ToolTipTextColor.." - description required",
		},
		Skirt =
		{
			DisplayName="Skirt",
			Template="clothing_skirt_legs",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = true,
			Tooltip = ToolTipHeaderColor.."-Skirt-\n"..ToolTipTextColor.." - description required",
		},		
		Apron =
		{
			DisplayName="Apron",
			Template="clothing_apron_chest",
			SellPrice=36,
			BuyPrice=12,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Apron-\n"..ToolTipTextColor.." - description required",
		},		
		Cloak =
		{
			DisplayName="Cloak",
			Template="clothing_cloak_basic",
			SellPrice=48,
			BuyPrice=16,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Cloak-\n"..ToolTipTextColor.." - description required",
		},		
		BlacksmithsTunic =
		{
			DisplayName="Blacksmiths Tunic",
			Template="clothing_chest_blacksmith",
			SellPrice=48,
			BuyPrice=16,
			MaxStock=20,
			CanSell = true,
			CanBuy = false,
			Tooltip = ToolTipHeaderColor.."-Blacksmith's Tunic-\n"..ToolTipTextColor.." - description required",
		},		
	}
}