
function ShowSpawnerWizard(self,wizardStep)
	wizardStep = wizardStep or 2
	local dynamicWindow = DynamicWindow("WizardDynamicWindow","",600,200,-300,-50,"TransparentDraggable","Center")
    --Create Background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,200,"Simple","000000",0,0.8)
    -- header background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,24,"Simple","450000",0,0.75)	
    dynamicWindow:AddImage(-41,-1,"SpellFrame2",682,26,"Sliced","651500")	
    -- header title
    dynamicWindow:AddLabel(300,3,"[959555]Spawner Wizard - Step " .. wizardStep,580,24,24,"center")
    self.DrawCloseButton(581,3,dynamicWindow)
	
	if(wizardStep == 1) then
		-- first step add the table
		self.ParentObj:SetObjVar("WorldBuilder.CurSpawner",self.GetSpawnerTable())
	    dynamicWindow:AddImage(10,165,"HueSwatch",580,25,"Simple","450000",0,0.80)	
	    dynamicWindow:AddImage(-28,161,"SpellFrame2",660,33,"Simple","651500")	    	
	    dynamicWindow:AddButton(-28,161,"SpawerWizardStep1","",660,33,"[FF7700]Spawner Wizard Step 2\n[FFFFAA]Stand where you want to spawner to be located at before you press this button it will be spawned at this location.","",false,"Invisible")
		dynamicWindow:AddLabel(300,167,"[959555]Go To Step 2",580,24,24,"center")
		-- text background
		dynamicWindow:AddImage(10,35,"HueSwatch",580,120,"Simple","450000",0,0.40)	
		dynamicWindow:AddLabel(15,40,"[CC6600]Spawner Location\n[959555]In step one of this spawner wizard please go find a spot to stand at and click the next button below. Once we establish a location we can move on to the next steps to fill out the information needed to get this spawner up and running in your world.",570,120,20,"left")
	elseif(wizardStep == 2) then
		local tempSpawnerTable = self.ParentObj:GetObjVar("WorldBuilder.CurSpawner")
		local spawnTemplate = tempSpawnerTable.SpawnTemplate
		if(spawnTemplate == "") then spawnTemplate = "no_template_selected" end
	    dynamicWindow:AddImage(10,165,"HueSwatch",580,25,"Simple","450000",0,0.80)	
	    dynamicWindow:AddImage(-28,161,"SpellFrame2",660,33,"Simple","651500")	    	
	    dynamicWindow:AddButton(-28,161,"SpawerWizardStep2","",660,33,"[FF7700]Spawner Wizard Step 2\n[FFFFAA]Select a template","",false,"Invisible")
		dynamicWindow:AddLabel(300,167,"[959555]Go To Step 3",580,24,24,"center")
		-- text background
		dynamicWindow:AddImage(10,35,"HueSwatch",580,100,"Simple","450000",0,0.40)	
		dynamicWindow:AddLabel(15,40,"[CC6600]Spawner Template\n[959555]Click the field below to change what object you want to spawn. This will bring up the mobile selector list for you to choose a template from.",570,120,20,"left")

		--template
		dynamicWindow:AddImage(10,135,"HueSwatch",580,20,"Simple","650000",0,0.50)	
		dynamicWindow:AddLabel(300,135,"[959555]Spawn Template: "..spawnTemplate,580,20,20,"center")
	    dynamicWindow:AddButton(10,137,"Select Template","",580,20,"[FF7700]Select a Template\n[FFFFAA]Click here to bring up the mobile selector to pick a template to be spawned","",false,"Invisible")
	end
	self.ParentObj:OpenDynamicWindow(dynamicWindow)    
end